Name:           python-lti-consumer-xblock
Version:        9.13.2
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        This XBlock implements the consumer side of the LTI specification.

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/openedx/xblock-lti-consumer
Source:         %{pypi_source lti_consumer_xblock}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'lti-consumer-xblock' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-lti-consumer-xblock
Summary:        %{summary}

%description -n python3-lti-consumer-xblock %_description


%prep
%autosetup -p1 -n lti_consumer_xblock-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-lti-consumer-xblock -f %{pyproject_files}


%changelog
%autochangelog